<script>
  // Properties
  // Updated
  export let present=[];
  const continents = ["europe", "asia", "americas", "africa"];
  $: year=0;
  let interval;
  $: text="Start";
  let Start=true;
  function handleClick() {
    if(Start==true){
    Start=false;
    text="Stop";
    interval=setInterval(setyear,100);
    function setyear(){
    year +=1
    if (year>=215) {
      year=0
    }
  }}
  else{
    Start=true;
    text="Start";
    clearInterval(interval);
  }
   };
  
  function onreset(){
    text="Start";
    year=0;
    clearInterval(interval);
   };
  $:selected="all";
  $:present=[year,selected]
  </script>

<div class="row" >
<div class="col">
  <button class="btn btn-primary" on:click={handleClick}>
    {text}
  </button>

  <input class="btn btn-primary" type="button" on:click={onreset} value="Reset">
</div>
<div class="col">
  <p>Year: {1800+year}</p>
  <input type="range" min="0" max="215" bind:value={year} />
</div>
<div class="col">
  <select bind:value={selected}>
    <option value="all">all</option>
    {#each continents as continent}
    <option value={continent}>{continent}</option>
    {/each}
  </select>
</div>
</div>
